/*
 * Copyright 2011 Marc Grue.
 *
 * Licensed  under the  Apache License,  Version 2.0  (the "License");
 * you may not use  this file  except in  compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed  under the  License is distributed on an "AS IS" BASIS,
 * WITHOUT  WARRANTIES OR CONDITIONS  OF ANY KIND, either  express  or
 * implied.
 *
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.qi4j.sample.dcicargo.sample_b.communication.query.dto;

import java.util.Date;
import org.qi4j.api.common.Optional;
import org.qi4j.api.property.Property;
import org.qi4j.library.conversion.values.Unqualified;
import org.qi4j.sample.dcicargo.sample_b.data.structure.handling.HandlingEvent;
import org.qi4j.sample.dcicargo.sample_b.data.structure.handling.HandlingEventType;
import org.qi4j.sample.dcicargo.sample_b.data.structure.tracking.TrackingId;
import org.qi4j.sample.dcicargo.sample_b.infrastructure.conversion.DTO;

/**
 * HandlingEvent DTO
 *
 * Zest-comment:
 * We need the @Unqualified annotation since the HandlingEventDTO interface has other properties than
 * {@link HandlingEvent} so that properties can not be directly mapped when we convert from entity to
 * immutable value DTO. With the annotation, property access methods are compared by name instead.
 */
@Unqualified
public interface HandlingEventDTO extends DTO
{
    Property<Date> completionTime();

    Property<TrackingId> trackingId();

    Property<HandlingEventType> handlingEventType();

    Property<LocationDTO> location();

    @Optional
    Property<VoyageDTO> voyage();
}
